
Core - Bug # 49260

Status: Resolved Priority: Should have
Author: Alexander Opitz Category: Install Tool
Created: 2013-06-19 Assigned To: Alexander Opitz
Updated: 2013-06-23 Due date: 2013-06-25
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Install System Extensions doesn't use "userInput"
Description

As it doesn't use the userInput var, to get the input of the user, it was broken by the installer rewrite.

Test:

- Deactivate one of the Extensions which are offered by the wizard (See #49256 to activate the wizard)
- Start the wizard and select this extension
- It won't be activated (See #49258 to test this patch successfully)

Related issues:
follows Core - Task # 49162: Rewrite install tool Resolved 2011-10-30
follows Core - Bug # 49258: Update Wizard user input not taken in account Resolved 2013-06-24 2013-06-24

Associated revisions
Revision df90964e - 2013-06-19 22:34 - Alexander Opitz

[BUGFIX] Use userInput instead of own broken method

The user data from form post submit is broken after install tool
rewrite. Instead of using own method to gather data changed to
the userInput variable that is set by the calling action.

Resolves: #49260
Related: #49162
Related: #49258
Releases: 6.2
Change-Id: I2ce0b5e4bfcb0ef013039297a9186f0f59413b31
Reviewed-on: https://review.typo3.org/21511
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2013-06-19 19:17 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21511
#2 - 2013-06-19 21:19 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21511

#3 - 2013-06-19 22:32 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21511

#4 - 2013-06-19 23:30 - Alexander Opitz
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:df90964ef72b851393f8e32213e1ff72a2d35861.
